Subject: [Pce] [Errata Rejected] RFC8231 (6627)

From: RFC Errata System <[email-masked]>
Date: Wed, 6 Oct 2021 09:49:44 -0700 (PDT)

The following errata report has been rejected for RFC8231,
"Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6627

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Oscar Gonzalez de Dios <[email-masked]>
Date Reported: 2021-07-01
Rejected by: John Scudder (IESG)

Section: 6.4

Original Text
-------------
  <request>::= <RP>
                      <END-POINTS>
                      [<LSP>]
                      [<LSPA>]
                      [<BANDWIDTH>]
                      [<metric-list>]
                      [<RRO>[<BANDWIDTH>]]
                      [<IRO>]
                      [<LOAD-BALANCING>]

Corrected Text
--------------
  <request>::= <RP>
                      <END-POINTS>
                      [<LSP>]
                      [<CLASSTYPE>]
                      [<LSPA>]
                      [<BANDWIDTH>]
                      [<metric-list>]
                      [<RRO>[<BANDWIDTH>]]
                      [<IRO>]
                      [<LOAD-BALANCING>]

Notes
-----
RFC 5455 defines the CLASSTYPE object and specifies that the CLASSTYPE object MUST
   be inserted after the END-POINT objects. RFC 8231 defines the LSP object and specifies that  the LSP object MUST be inserted after the END-POINTS object. Hence, it is not clear if CLASSTYPE or LSP goes after END-POINTS. Hence, to disambiguate and avoid interoperability issues, the proposal is to include the CLASSTYPE object in the updated grammar. The order would be <END-POINTS>[<LSP>][<CLASSTYPE>]
 --VERIFIER NOTES-- 
See also the mail thread at https://mailarchive.ietf.org/arch/msg/pce/UmqIZSDtRqe7yC5v0wHU64mrGuI/ for more discussion and detail.

In https://mailarchive.ietf.org/arch/msg/pce/VUM5GymISrBiPgoUEVH8IkaM3tU/, the AD at the time (Adrian) rejected erratum 3672, which is similar to this one in that it complains about ambiguous ordering and asks for a fix. Adrian ends his rejection comment with 

“In rejecting this Errata report I note that the reported error is not a typo,
but a deliberate decision of the authors and working group. The fix, therefore,
if it is to be applied needs to be achieved through a consensus document.”

AFAICT this reasoning applies equally in the current case. Actually, it applies even more so, because the WG was offered draft-cmfg-pce-pcep-grammar-02 and didn’t do anything with it, which implies no consensus was demonstrated to go forward with a solution to the identified problem. 

Therefore, I'm also rejecting this erratum. The right way forward is for the WG to take on this problem.

--------------------------------------
RFC8231 (draft-ietf-pce-stateful-pce-21)
--------------------------------------
Title               : Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE
Publication Date    : September 2017
Author(s)           : E. Crabbe, I. Minei, J. Medved, R. Varga
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG